Bug 15965 - Koha to MARC mapping - table changes with selection of drop down menu
Summary: Koha to MARC mapping - table changes with selection of drop down menu
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-03 02:20 UTC by Aleisha Amohia
Modified: 2017-06-14 22:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15965: Koha to MARC mapping - table changes with selection of drop down menu (1.79 KB, patch)
2016-03-03 02:22 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15965: Koha to MARC mapping - table changes with selection of drop down menu (1.77 KB, patch)
2016-03-06 20:33 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15965: Koha to MARC mapping - table changes with selection of drop down menu (1.91 KB, patch)
2016-03-07 06:18 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15965: Koha to MARC mapping - table changes with selection of drop down menu (2.05 KB, patch)
2016-03-07 10:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
t rebase# Attachment to Bug 15965 - Koha to MARC mapping - table changes with selection of drop down menu (1.18 KB, patch)
2016-03-07 10:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-03 02:20:44 UTC
See /cgi-bin/koha/tools/overduerules.pl
When you select a new library in the drop down, the table showing rules updates automatically to show the rules for that library.

This change should be added to cgi-bin/koha/admin/koha2marclinks.pl
Comment 1 Aleisha Amohia 2016-03-03 02:22:55 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-03-03 16:41:13 UTC
It works. But why this:

+    $('#koha2marc').find("input:submit").hide();

Since you have already this:

-    <input type="submit" value="OK" />

If at first place, you hide in JS the submit button, isn't it in order to keep working the form whether JS is disabled. So why suppressing the <input> itself? For me, JS has to be activated in the pro interface, and as so, the JS line should be suppressed.
Comment 3 Aleisha Amohia 2016-03-06 20:33:38 UTC Comment hidden (obsolete)
Comment 4 Frédéric Demians 2016-03-07 06:18:42 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-03-07 10:07:48 UTC
Created attachment 48729 [details] [review]
Bug 15965: Koha to MARC mapping - table changes with selection of drop down menu

EDIT: Removing JS line

To test:

1) Go to Admin -> Koha to MARC Mapping
2) Test selecting biblio / biblioitems / items
3) Confirm the table content changes and behaves as it should which each
   selection

Sponsored-by: Catalyst IT
Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-03-07 10:07:56 UTC
Created attachment 48730 [details] [review]
t rebase# Attachment to Bug 15965 - Koha to MARC mapping - table changes with selection of drop down menu

Bug 15965: Select default value ('biblio') if needed

It will prevent wrong value to be selected when the back button of the
browser is used.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Brendan Gallagher 2016-03-07 17:37:03 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!